package cn.newfeifan.mall.module.distri.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CaclEnum {
    PLATFORM_SERVICE_FEE(1, "平台服务费"),
    PLATFORM_REVENUE(2, "平台收益"),
    RECOMMENDED_PERSON_QUOTA(3, "推荐人额度"),
    DIRECT_REFERRAL_QUOTA(4, "直推人额度"),
    TOGETHER_AWARD(5, "合赢奖"),
    HIGH_QUOTA(6, "最高可以获得积分"),
    SMALL_QUOTA_CRASH(7, "小区额度分配"),
    AFTER_CRASH_CALC_PT_TOTAL_QUOTA(8, "碰撞后计算平台总收益"),

    ;

    /**
     * 来源
     */
    private final Integer type;
    /**
     * 类型的名字
     */
    private final String name;

}